# Apache Tomcat 7

Version 7.0.4, Oct 14 2010

Links

- Docs Home
- Config Ref. Home

Top Level Elements

- Server
- Service

Executors

- Executor

Connectors

- HTTP
- AJP

Containers

- Context
- Engine
- Host
- Cluster

Nested Components

- Filter
- Global Resources
- JarScanner
- Listeners
- Loader
- Manager
- Realm
- Resources
- Valve

Cluster Elements

- Cluster
- Manager
- Channel
- Channel/Membership
- Channel/Sender
- Channel/Receiver
- Channel/Interceptor
- Valve
- Deployer
- ClusterListener

Global Settings

- System properties

# The Jar Scanner Component

Table of Contents

> - Introduction
> - Attributes
>   1. Common Attributes
>   2. Standard Implementation
> - Nested Components
> - Special Features

Introduction

> The Jar Scanner element represents the component that is used to scan the web application for JAR files. It is typically used during web application start to identify configuration files such as TLDs or web-fragment.xml files that must be processed as part of the web application initialisation.

> A Jar Scanner element MAY be nested inside a Context component. If it is not included, a default Jar Scanner configuration will be created automatically, which is sufficient for most requirements.

Attributes

> Common Attributes

> > All implementations of Jar Scanner support the following attributes:

> > Attribute | Description
> > --- | ---
> > `className` | Java class name of the implementation to use. This class must implement the `org.apache.tomcat.JarScanner` interface. If not specified, the standard value (defined below) will be used.

> Standard Implementation

> > The standard implementation of Jar Scanner is org.apache.tomcat.util.scan.StandardJarScanner. It supports the following additional attributes (in addition to the common attributes listed above):

> > Attribute | Description
> > --- | ---
> > `scanClassPath` | If true, the full web application classpath, including the shared and common classloaders will be scanned for Jar files in addition to the web application. The default is `true`.
> > `scanAllFiles` | If true, any files found on the classpath will be checked to see if they are Jar files rather than relying on the file extension being `.jar`. The default is `false`
> > `scanAllDirectories` | If true, any directories found on the classpath will be checked to see if are expanded Jar files. The default is `false`

Nested Components

> No components may be nested inside a Jar Scanner element.

Special Features

> No special features are associated with a Jar Scanner element.

Copyright © 1999-2010, Apache Software Foundation